The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of BIND: denial of service via Asterisk Empty Non-terminal

Synthesis of the vulnerability 

An attacker can trigger a fatal error via Asterisk Empty Non-terminal of BIND, in order to trigger a denial of service.
Impacted software: Debian, BIG-IP Hardware, TMOS, BIND, openSUSE Leap, Solaris, Slackware, SLES, Ubuntu.
Severity of this computer vulnerability: 2/4.
Creation date: 18/06/2020.
Références of this announce: CERTFR-2020-AVI-382, CVE-2020-8619, DSA-4752-1, K19807532, openSUSE-SU-2020:1699-1, openSUSE-SU-2020:1701-1, SSA:2020-170-01, SUSE-SU-2020:2914-1, USN-4399-1, VIGILANCE-VUL-32566.

Description of the vulnerability 

An attacker can trigger a fatal error via Asterisk Empty Non-terminal of BIND, in order to trigger a denial of service.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This weakness note impacts software or systems such as Debian, BIG-IP Hardware, TMOS, BIND, openSUSE Leap, Solaris, Slackware, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this threat note is medium.

The trust level is of type confirmed by the editor, with an origin of intranet server.

An attacker with a expert ability can exploit this computer weakness.

Solutions for this threat 

BIND: version 9.16.4.
The version 9.16.4 is fixed:
  https://www.isc.org/download/

BIND: version 9.11.20.
The version 9.11.20 is fixed:
  https://www.isc.org/download/

Debian 10: new bind9 packages.
New packages are available:
  Debian 10: bind9 1:9.11.5.P4+dfsg-5.1+deb10u2

openSUSE Leap 15.1: new bind packages.
New packages are available:
  openSUSE Leap 15.1: bind 9.16.6-lp151.11.9.1

openSUSE Leap 15.2: new bind packages.
New packages are available:
  openSUSE Leap 15.2: bind 9.16.6-lp152.14.3.1

Oracle Solaris: patch for third party software of July 2020 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Slackware: new bind packages.
New packages are available:
  Slackware 14.0: bind 9.11.20-*-1_slack14.0
  Slackware 14.1: bind 9.11.20-*-1_slack14.1
  Slackware 14.2: bind 9.11.20-*-1_slack14.2

SUSE LE 15: new bind packages.
New packages are available:
  SUSE LE 15 RTM: bind 9.16.6-12.32.1
  SUSE LE 15 SP1: bind 9.16.6-12.32.1
  SUSE LE 15 SP2: bind 9.16.6-12.32.1

Ubuntu: new bind9 packages.
New packages are available:
  Ubuntu 20.04 LTS: bind9 1:9.16.1-0ubuntu2.2
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides computer vulnerability bulletins. Each administrator can customize the list of products for which he wants to receive vulnerability alerts.